DB migrations need unit tests

Bug #1346444 reported by Henry Gessau on 2014-07-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
neutron
Medium
Ann Taraday

Bug Description

Now that the DB healing https://review.openstack.org/96438 is merged, the DB migrations need unit tests.

Tags: db Edit Tag help
Henry Gessau (gessau) on 2014-07-21
tags: added: db
Changed in neutron:
assignee: nobody → Henry Gessau (gessau)
status: New → In Progress
Kyle Mestery (mestery) on 2014-07-21
Changed in neutron:
importance: Undecided → Medium
assignee: Henry Gessau (gessau) → Ann Kamyshnikova (akamyshnikova)

This review is in a very advanced state, and it improves testing while not adding any new feature.

I would consider it for RC1, input from the rest of the team is welcome (assuming it is acceptable as it adds dependencies in test-requirements)

Changed in neutron:
milestone: none → juno-rc1
Kyle Mestery (mestery) wrote :

We won't block the release for this bug, but it's fine if it makes it in. Please link the code review here and work to get it in the merge queue today.

Kyle Mestery (mestery) wrote :

Removing from the list, but please feel free to merge it if it's ready.

Changed in neutron:
milestone: juno-rc1 → kilo-1
Ann Taraday (akamyshnikova) wrote :

Link for change https://review.openstack.org/76520. This change is ready for merge.

Reviewed: https://review.openstack.org/76520
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=5247f5cdf15bad4c62bbf854e30716fcf00a1d2a
Submitter: Jenkins
Branch: master

commit 5247f5cdf15bad4c62bbf854e30716fcf00a1d2a
Author: Ann Kamyshnikova <email address hidden>
Date: Wed Feb 19 15:39:19 2014 +0400

    Implement ModelsMigrationsSync test from oslo.db

    Add tests to verify that database migrations produce
    the same schema as the database models.

    Also for MySQL, check that all tables are configured to use InnoDB
    as the storage engine.
    These tests make use of the ModelsMigrationsSync test class from
    oslo.db and the load_tests protocol from Python unittest.

    Closes-bug: #1346444

    Change-Id: Ic0e7eb37c30cc5e94cbdbddf07a6dc1ebf377c17

Changed in neutron:
status: In Progress → Fix Committed
Download full text (72.6 KiB)

Reviewed: https://review.openstack.org/130864
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=c089154a94e5872efc95eab33d3d0c9de8619fe4
Submitter: Jenkins
Branch: feature/lbaasv2

commit 62588957fbeccfb4f80eaa72bef2b86b6f08dcf8
Author: Kevin Benton <email address hidden>
Date: Wed Oct 22 13:04:03 2014 -0700

    Big Switch: Switch to TLSv1 in server manager

    Switch to TLSv1 for the connections to the backend
    controllers. The default SSLv3 is no longer considered
    secure.

    TLSv1 was chosen over .1 or .2 because the .1 and .2 weren't
    added until python 2.7.9 so TLSv1 is the only compatible option
    for py26.

    Closes-Bug: #1384487
    Change-Id: I68bd72fc4d90a102003d9ce48c47a4a6a3dd6e03

commit 17204e8f02fdad046dabdb8b31397289d72c877b
Author: OpenStack Proposal Bot <email address hidden>
Date: Wed Oct 22 06:20:15 2014 +0000

    Imported Translations from Transifex

    For more information about this automatic import see:
    https://wiki.openstack.org/wiki/Translations/Infrastructure

    Change-Id: I58db0476c810aa901463b07c42182eef0adb5114

commit d712663b99520e6d26269b0ca193527603178742
Author: Carl Baldwin <email address hidden>
Date: Mon Oct 20 21:48:42 2014 +0000

    Move disabling of metadata and ipv6_ra to _destroy_router_namespace

    I noticed that disable_ipv6_ra is called from the wrong place and that
    in some cases it was called with a bogus router_id because the code
    made an incorrect assumption about the context. In other case, it was
    never called because _destroy_router_namespace was being called
    directly. This patch moves the disabling of metadata and ipv6_ra in
    to _destroy_router_namespace to ensure they get called correctly and
    avoid duplication.

    Change-Id: Ia76a5ff4200df072b60481f2ee49286b78ece6c4
    Closes-Bug: #1383495

commit f82a5117f6f484a649eadff4b0e6be9a5a4d18bb
Author: OpenStack Proposal Bot <email address hidden>
Date: Tue Oct 21 12:11:19 2014 +0000

    Updated from global requirements

    Change-Id: Idcbd730f5c781d21ea75e7bfb15959c8f517980f

commit be6bd82d43fbcb8d1512d8eb5b7a106332364c31
Author: Angus Lees <email address hidden>
Date: Mon Aug 25 12:14:29 2014 +1000

    Remove duplicate import of constants module

    .. and enable corresponding pylint check now the only offending instance
    is fixed.

    Change-Id: I35a12ace46c872446b8c87d0aacce45e94d71bae

commit 9902400039018d77aa3034147cfb24ca4b2353f6
Author: rajeev <email address hidden>
Date: Mon Oct 13 16:25:36 2014 -0400

    Fix race condition on processing DVR floating IPs

    Fip namespace and agent gateway port can be shared by multiple dvr routers.
    This change uses a set as the control variable for these shared resources
    and ensures that Test and Set operation on the control variable are
    performed atomically so that race conditions do not occur among
    multiple threads processing floating IPs.
    Limitation: The scope of this change is limited to addressing the race
    condition described in the bug report. It may not address other issues
    such as pre-existing issue wit...

Thierry Carrez (ttx) on 2014-12-18
Changed in neutron:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2015-04-30
Changed in neutron:
milestone: kilo-1 → 2015.1.0
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers